<?xml version="1.0" encoding="UTF-8"?>
<section version="5.0" xml:lang="en" xmlns="http://docbook.org/ns/docbook"
         xmlns:xlink="http://www.w3.org/1999/xlink"
         xmlns:xi="http://www.w3.org/2001/XInclude"
         xmlns:svg="http://www.w3.org/2000/svg"
         xmlns:mml="http://www.w3.org/1998/Math/MathML"
         xmlns:html="http://www.w3.org/1999/xhtml"
         xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <title>JONAS_BASE/conf description</title>
  </info>

  <para>This directory contains configuration files in various format
  (properties files, xml files).</para>

  <para>The main configuration file is <emphasis>jonas.properties
  </emphasis>but there are also:</para>

  <itemizedlist>
    <listitem>
      <para>Templates for configuring access to databases for the
      <emphasis>dbm</emphasis> service, (Oracle, PostgreSQL, Sybase, DB2,
      MySQL, HSQLDB, InterBase, FirebirdSQL, Mckoi SQL, InstantDB )
      respectively in <emphasis>Oracle1.properties</emphasis>,
      <emphasis>PostgreSQL1.properties</emphasis>,etc... All these databases
      have been tested with <xi:include href="../variables.xml"
      xpointer="appserver" />.</para>
    </listitem>

    <listitem>
      <para>Mail resources templates :
      <emphasis>MailMimePartDS1.properties</emphasis>,
      <emphasis>MailSession1.properties</emphasis></para>
    </listitem>

    <listitem>
      <para>JORAM configuration files : <emphasis>a3debug.cfg,</emphasis>
      <emphasis>a3servers.xml</emphasis>,
      <emphasis>joramAdmin.xml</emphasis></para>
    </listitem>

    <listitem>
      <para>EasyBeans ejb3 container configuration file is named
      <emphasis>easybeans-jonas.xml.</emphasis></para>
    </listitem>

    <listitem>
      <para><emphasis>carol.properties</emphasis>,
      <emphasis>jacorb.properties</emphasis> for configuring the RMI
      implementation used through CAROL.</para>
    </listitem>

    <listitem>
      <para>Configuration files for clustering : <emphasis>cmi-config.xml,
      </emphasis><emphasis>clusterd.xml,</emphasis>
      <emphasis>domain.xml,</emphasis> <emphasis>jgroups-discovery.xml,
      </emphasis><emphasis>jgroups-ha.xml,</emphasis>
      <emphasis>jgroups-cmi.xml</emphasis>.</para>
    </listitem>

    <listitem>
      <para>Configuration files related to security:
      <emphasis>jaas.config</emphasis>, <emphasis>java.policy,</emphasis>
      <emphasis>jonas-realm.xml</emphasis></para>
    </listitem>

    <listitem>
      <para>Web container configuration files:</para>

      <itemizedlist>
        <listitem>
          <para><emphasis>tomcat6-server.xml</emphasis>,
          <emphasis>tomcat6-context.xml</emphasis>, <emphasis>tomcat6-web.xml
          </emphasis>for Tomcat,</para>
        </listitem>

        <listitem>
          <para><emphasis>jetty6.xml </emphasis><emphasis>jetty6-web.xml
          </emphasis>for Jetty.</para>
        </listitem>
      </itemizedlist>
    </listitem>

    <listitem>
      <para>Web services configuration
      files:<emphasis>uddi.properties</emphasis>,
      <emphasis>file1.properties.</emphasis></para>
    </listitem>

    <listitem>
      <para>Client container configuration file:
      <emphasis>jonas-client.properties</emphasis></para>
    </listitem>

    <listitem>
      <para>JOnAS traces configurations files:
      <emphasis>trace.properties</emphasis>,
      <emphasis>traceclient.properties</emphasis></para>
    </listitem>

    <listitem>
      <para>Transaction recovery configuration file :
      <emphasis>jotm.properties</emphasis></para>
    </listitem>

    <listitem>
      <para>P6Spy options file: <emphasis>spy.properties</emphasis></para>
    </listitem>

    <listitem>
      <para>Java Service Wrapper configuration file:
      <emphasis>wrapper.conf</emphasis></para>
    </listitem>

    <listitem>
      <para>Deployment plan initial repositories are stored in
      <filename>initial-repositories.xml</filename> file.</para>
    </listitem>

    <listitem>
      <para><emphasis>jmx.access</emphasis>,
      <emphasis>jmx.passwords</emphasis> and
      <emphasis>jmx.rolbased.access</emphasis> are configuration files used to
      secure the JMX connector access.</para>
    </listitem>

    <listitem>
      <para><emphasis>jndi-interceptors.xml</emphasis> is used by the JNDI
      Interceptors allowing for example to automatically close the JDBC
      connections if they're not closed by the application.</para>
    </listitem>

    <listitem>
      <para><emphasis>classloader-default-filtering.xml </emphasis>allows to
      hide to applications some classes exported by the Application
      Server.</para>
    </listitem>

    <listitem>
      <para><emphasis>banner.txt </emphasis>allows to change the banner of the
      JOnAS scripts.</para>
    </listitem>
  </itemizedlist>

  <para>Most of these files are described in following sections.</para>
</section>
